## org.gnu.atk
Class Hyperlink

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.Hyperlink

public class Hyperlink
extends GObject

Constructor Summary
`Hyperlink(org.gnu.glib.Handle handle)`

Method Summary
`int` `getEndIndex()`
`int` `getNumAnchors()`
`AtkObject` `getObject(int index)`
`int` `getStartIndex()`
`java.lang.String` `getURI(int index)`
`boolean` `isInline()`
`boolean` `isSelectedLink()`
`boolean` `isValid()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hyperlink

    public Hyperlink(org.gnu.glib.Handle handle)

Method Detail

### getURI

    public java.lang.String getURI(int index)

### getObject

    public AtkObject getObject(int index)

### getEndIndex

    public int getEndIndex()

### getStartIndex

    public int getStartIndex()

### isValid

    public boolean isValid()

### isInline

    public boolean isInline()

### getNumAnchors

    public int getNumAnchors()

### isSelectedLink

    public boolean isSelectedLink()